WP_Widget Is Deprecated Since Version 4.3.0!
Topics related to RedWaves lite theme goes here.

1 post   •   Page 1 of 1
User avatar
Asmi Khalil
Site Admin
Rank
Posts: 618
Joined: Fri Jun 26, 2015 7:13 am
Location: Tunisia

WP_Widget Is Deprecated Since Version 4.3.0!

by Asmi Khalil » Fri Aug 21, 2015 10:53 pm

Hello everyone!
You you have updated your WordPress website to version 4.3 and have the Debug Mode enabled and you are using RedWaves lite or Realisitc theme, you will see this error on every page on your website and even in the Dashboard. To fix this issue you only need to change a single line of code:
Open, with your preferred code editor, the widget-socialicons.php file ( located in the /functions folder) and replace this code (line 147):

$this->WP_Widget( 'social-icons', __( 'RedWaves: Social Icons', 'redwaves-lite' ), $widget_ops, $control_ops );


to:

parent::__construct ( 'social-icons', __( 'RedWaves: Social Icons', 'redwaves-lite' ), $widget_ops, $control_ops );


As simple as that :)
I think there is a world market for maybe five computers. - IBM chairman Thomas Watson, 1943


Who is online

Users browsing this forum: No registered users and 1 guest

It is currently Sat Dec 16, 2017 6:48 pm